Loading...
Searching...
No Matches
brezzidouglasmarinibasis.hh File Reference
`#include <array>`
`#include <dune/common/exceptions.hh>`
`#include <dune/geometry/referenceelements.hh>`
`#include <dune/localfunctions/common/virtualinterface.hh>`
`#include <dune/localfunctions/common/virtualwrappers.hh>`
`#include <dune/localfunctions/brezzidouglasmarini/brezzidouglasmarini1cube2d.hh>`
`#include <dune/localfunctions/brezzidouglasmarini/brezzidouglasmarini1cube3d.hh>`
`#include <dune/localfunctions/brezzidouglasmarini/brezzidouglasmarini1simplex2d.hh>`
`#include <dune/localfunctions/brezzidouglasmarini/brezzidouglasmarini2cube2d.hh>`
`#include <dune/localfunctions/brezzidouglasmarini/brezzidouglasmarini2simplex2d.hh>`
`#include <dune/functions/functionspacebases/globalvaluedlocalfiniteelement.hh>`
`#include <dune/functions/functionspacebases/nodes.hh>`
`#include <dune/functions/functionspacebases/defaultglobalbasis.hh>`
`#include <dune/functions/functionspacebases/leafprebasismappermixin.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::BrezziDouglasMariniPreBasis< GV, k >
class | Dune::Functions::BrezziDouglasMariniNode< GV, k >

## Namespaces

namespace | Dune
namespace | Dune::Functions
namespace | Dune::Functions::BasisFactory

## Typedefs

template<typename GV, int k>
using | Dune::Functions::BrezziDouglasMariniBasis = DefaultGlobalBasis<BrezziDouglasMariniPreBasis<GV, k> >
| Basis of a scalar k-th-order BDM finite element space on simplex and cube grids.

## Functions

template<std::size_t k>
auto | Dune::Functions::BasisFactory::brezziDouglasMarini ()
| Create a pre-basis factory that can create a Brezzi-Douglas-Marini pre-basis.